Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.cards.model
Class CardModelException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.wso2.solutions.identity.cards.model.CardModelException

All Implemented Interfaces:
  java.io.Serializable

    public class CardModelException

extends java.lang.Exception

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT`
`static java.lang.String` | `REQUIRED_ATTRIBUTE_MISSING`
`static java.lang.String` | `REQUIRED_ELEMENT_MISSING`

Constructor Summary
`CardModelException(java.lang.String key)`
`CardModelException(java.lang.String key, java.lang.Object[] args)`
`CardModelException(java.lang.String key, java.lang.Object[] args, java.lang.Throwable e)`
`CardModelException(java.lang.String key, java.lang.Throwable e)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final java.lang.String DEFAULT

See Also:
  Constant Field Values

### REQUIRED_ELEMENT_MISSING

    public static final java.lang.String REQUIRED_ELEMENT_MISSING

See Also:
  Constant Field Values

### REQUIRED_ATTRIBUTE_MISSING

    public static final java.lang.String REQUIRED_ATTRIBUTE_MISSING

See Also:
  Constant Field Values

Constructor Detail

### CardModelException

    public CardModelException(java.lang.String key,
                              java.lang.Object[] args)

### CardModelException

    public CardModelException(java.lang.String key)

### CardModelException

    public CardModelException(java.lang.String key,
                              java.lang.Object[] args,
                              java.lang.Throwable e)

### CardModelException

    public CardModelException(java.lang.String key,
                              java.lang.Throwable e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD